#ifndef DIRLISTBOX_H
#define DIRLISTBOX_H

class DirList;

class DirListBox : public FXDialogBox
{
    FXDECLARE(DirListBox)

private:
    DirListBox()
    {}

protected:
    DirList *dirtree;
    FXTextField *directory;

public:

public:
    enum{
        ID_DIRECTORY=FXDialogBox::ID_LAST,
		ID_DIRLIST_BOX,
        ID_LAST
    };

public:
    FXString getPath();
    void setPath(const FXString &path);
    DirListBox(FXWindow *win);
    FXuint execute();
	long onExpand(FXObject*,FXSelector,void* ptr);
};

#endif
